--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "First delete any fields with <tt>name</tt>, then append a new field with <tt>name</tt>, <tt>value</tt>, and <tt>params</tt> as in #add."
full_name: RMail::Header#set
is_singleton: false
name: set
params: (name, value, params = nil)
visibility: public
